{% extends "customers/base.html" %}
{% load i18n %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load active_tag %}

{% block title %}{% if object %}Editar{% else %}Nuevo{% endif %} Pago{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
      <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
      <li class="breadcrumb-item"><a href="{% url 'provider-list' %}">Proveedores</a></li>
      <li class="breadcrumb-item active">{% if object %}Editar{% else %}Nuevo{% endif %} Pago</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">{% if object %}Editar{% else %}Nuevo{% endif %} <small>pago</small></h1>
	<!-- end page-header -->
	<!-- begin row -->
	<div class="row">
      <!-- begin col-12 -->
      <div class="col-xl-12 ui-sortable">
        <!-- begin panel -->
        <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">{% if object %}Editar{% else %}Nuevo{% endif %} Pago</h4>
          <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">

            <!-- </form> -->
            <form id="payment-form" class="form-horizontal" method="post" enctype="multipart/form-data">
	      {% csrf_token %}
	      {{ form.media }}
              <div class="tab-content">
                <div id="network" role="tabpanel" class="tab-pane active">
          {% for field in form %}
          {%if provider %}
          {%ifequal  field.label "Proveedor" %}
          <div class="form-group row m-b-15" hidden>
            <label for="{{ form.provider.auto_id }}" class="col-form-label col-md-3">Proveedor</label>
            <div class="col-sm-9">
                <select name="provider" class="form-control m-b-5" id="id_provider">
                    {%if provider %}
                    <option value="{{provider.id}}" selected>{{provider}}</option>
                    {%endif%}
                    </select>
      
              {% for error in form.provider.errors %}
              <small class="f-s-12 text-danger">{{ error }}</small>
              {% endfor %}
            </div>
          </div>
          {%else%}
          {%ifequal  field.label "Operador" %}
          <div class="form-group row m-b-15">
            <label for="{{ form.operator.auto_id }}" class="col-form-label col-md-3">Operador</label>
            <div class="col-sm-9">
              <select name="operator" class="form-control"  required id="id_operator">
                {%if if_todos %}
                {% if object %} <option value="{{ object.operator.id}}" selected>{{ object.operator.name}}</option>{% endif %}
                {%for b in operadores %}
                <option value="{{b.id}}">{{b.name}}</option>
                {%endfor%}
                {% else%}
                {%for b in operadores %}
                <option value="{{current_operator}}">{{current_operator_name}}</option>
                {%endfor%}
                {%endif%}
                </select>
            </div>
          </div>
          {%else%}
          <div class="form-group row m-b-15">
            <label for="{{ field.auto_id }}" class="col-form-label col-md-3">{{ field.label }}</label>
            <div class="col-sm-9">
              {% render_field field class="form-control m-b-5" %}
    {% for error in field.errors %}
    <small class="f-s-12 text-danger">{{ error }}</small>
  {% endfor %}
            </div>
          </div>
          {%endifequal%}
          {%endifequal%}

          {%else%}
          {%ifequal  field.label "Proveedor" %}
          
          <div class="form-group row m-b-15" {%ifequal object.kind_load 3%} hidden {%endifequal%} >
            <label class="col-md-3">Buscar proveedor: </label>
            <div class="col-sm-9 ">
            <i id="search-icon" class="fas fa-search"></i>
            <input id="user-input" placeholder="Search" class="col-sm-9" style="padding: 7px .75rem; line-height: 1.5; color: #2d353c; background-color: #fff; background-clip: padding-box; border: 1px solid #d5dbe0;
            border-radius: 4px; transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;">
          </div>
            </div>
      
          <div class="form-group row m-b-15" >
            <label for="{{ form.provider.auto_id }}" class="col-form-label col-md-3">Proveedor</label>
            <div class="col-sm-9">
                <select name="provider" class="form-control m-b-5" id="id_provider">
                    {%if provider %}
                    <option value="{{provider.id}}" selected>{{provider}}</option>
                    {%endif%}
                    <option value="">---------</option>
                    {%for i in providers %}
                    <option value="{{i.id}}">{{i}}</option>
                    {%endfor%}
                    </select>
      
              {% for error in form.provider.errors %}
              <small class="f-s-12 text-danger">{{ error }}</small>
              {% endfor %}
            </div>
          </div>
          {%else%}
          {%ifequal  field.label "Operador" %}
          <div class="form-group row m-b-15">
            <label for="{{ form.operator.auto_id }}" class="col-form-label col-md-3">Operador</label>
            <div class="col-sm-9">
              <select name="operator" class="form-control"  required id="id_operator">
                {%if if_todos %}
                {% if object %} <option value="{{ object.operator.id}}" selected>{{ object.operator.name}}</option>{% endif %}
                {%for b in operadores %}
                <option value="{{b.id}}">{{b.name}}</option>
                {%endfor%}
                {% else%}
                {%for b in operadores %}
                <option value="{{current_operator}}">{{current_operator_name}}</option>
                {%endfor%}
                {%endif%}
                </select>
            </div>
          </div>
          {%else%}
          <div class="form-group row m-b-15">
            <label for="{{ field.auto_id }}" class="col-form-label col-md-3">{{ field.label }}</label>
            <div class="col-sm-9">
              {% render_field field class="form-control m-b-5" %}
    {% for error in field.errors %}
    <small class="f-s-12 text-danger">{{ error }}</small>
  {% endfor %}
            </div>
          </div>
          {%endifequal%}
          {%endifequal%}
          {%endif%}
              
		  {% endfor %}
                </div>
              </div>
	      <input type="submit" class="btn btn-primary" value="Guardar">
	      <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
            </form>
	    
          </div>
          <!-- end panel-body -->
        </div>
        <!-- end panel -->
      </div>
    </div>
    <!-- end row -->
  
    <!-- begin scroll to top btn -->
    <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
    <!-- end scroll to top btn -->
  
  {% endblock %}

  {% block pageleveljs %}
  <script>
  
    $(document).ready(function(){
  
      function change_user(){
        search = document.getElementById("user-input").value;
        {% if form.provider.value %}
          var provider = {{form.provider.value}};
        {% else %}
          var provider = null
        {% endif %}
        $.get("{% url 'ajax_provider' %}", {search: search}, function(json_response) {
          var provider = json_response.data['provider']
          $("#id_provider").empty()
          var option = $('<option></option>').attr("value", "").text(provider.length + " registros encontrados").attr('selected', 'selected');
        $("#id_provider").append(option);
          for (var i = 0; i < provider.length; i++){
  
              if (provider && provider[i].id == provider){
        var option = $('<option></option>').attr("value", provider[i].id).text(provider[i].name).attr('selected', 'selected');
              }
              else{
          var option = $('<option></option>').attr("value", provider[i].id).text(provider[i].name);
        }
            $("#id_provider").append(option);
          }
  
        });
      }

      $('#user-input').on('change',function(){
        change_user();
      })
    });
  </script>
  {% endblock %}
  